commit afcfb67a64d1bf601d57da2c723dda8333d8b639
Author: Greg Albrecht <github.com@undef.net>
Origin: https://github.com/snstac/python-networkmanager
Bug-Debian: https://bugs.debian.org/1057374
Date:   Thu Dec 28 17:54:39 2023 -0800

    Fixes #1. KeyError on missing Loopback interface type.

diff --git a/NetworkManager.py b/NetworkManager.py
index e66beba..2381b1b 100644
--- a/NetworkManager.py
+++ b/NetworkManager.py
@@ -395,6 +395,7 @@ def device_class(typ):
         NM_DEVICE_TYPE_WIREGUARD: WireGuard,
         NM_DEVICE_TYPE_VRF: Vrf,
         NM_DEVICE_TYPE_WIFI_P2P: WifiP2p,
+        NM_DEVICE_TYPE_LOOPBACK: Loopback,
     }[typ]
 
 class Adsl(Device): pass
@@ -426,6 +427,7 @@ class SixLoWpan(Device): pass
 class WireGuard(Device): pass
 class WifiP2p(Device): pass
 class Vrf(Device): pass
+class Loopback(Device): pass
 
 class NSP(TransientNMDbusInterface):
     interface_names = ['org.freedesktop.NetworkManager.Wimax.NSP']
@@ -814,6 +816,7 @@ NM_DEVICE_TYPE_6LOWPAN = 28
 NM_DEVICE_TYPE_WIREGUARD = 29
 NM_DEVICE_TYPE_WIFI_P2P = 30
 NM_DEVICE_TYPE_VRF = 31
+NM_DEVICE_TYPE_LOOPBACK = 32
 NM_DEVICE_CAP_NONE = 0
 NM_DEVICE_CAP_NM_SUPPORTED = 1
 NM_DEVICE_CAP_CARRIER_DETECT = 2
